Skip to navigation

Update cloud role

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

role_idstringRequiredformat: "uuid"

Headers

X-Islo-Api-VersionstringRequired

Request

This endpoint expects an object.
is_enabledboolean or nullOptional
role_arnstring or nullOptional1-2048 characters
session_duration_secondsinteger or nullOptional900-3600

Response

Successful Response
idstringformat: "uuid"
is_enabledboolean
islo_trust_role_arnstring
providerstring
role_arnstring
session_duration_secondsinteger
typestring
created_atdatetime or nullOptional
updated_atdatetime or nullOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error